Bug 176902 - net-im/rubygem-termtter: Unmark BROKEN with ruby1.9 & DEPRECATED, actually works with ruby1.9
net-im/rubygem-termtter: Unmark BROKEN with ruby1.9 & DEPRECATED, actually wo...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Steve Wills
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-13 02:50 UTC by Koichiro IWAO
Modified: 2013-04-25 03:40 UTC (History)
0 users

See Also:


Attachments
rubygem-termtter-remove-broken.txt (773 bytes, text/plain; charset=iso-2022-jp)
2013-04-15 04:18 UTC, meta
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Koichiro IWAO 2013-03-13 02:50:00 UTC
I confirmed it actually works with ruby1.9.

How-To-Repeat: 1. Comment out BROKEN line in net-im/rubygem-termtter/Makefile
2. Add RUBY=1.9 in Makefile to temporarily force to use ruby1.9
3. Do make install
4. Execute termtter from shell
5. It works!
Comment 1 Edwin Groothuis freebsd_committer 2013-03-13 02:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dhn

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 metalefty 2013-04-13 19:54:25 UTC
EXPIRATION date is almost comming!

PLEASE UNMARK IT AS BROKEN!!
THIS PORT IS NOT ACTUALLY BROKEN WITH ruby19.
I CONFIRMED IT WORKS WITH ruby19.

Dear maintainer, you are lazy for this port.
Give me maintainership.  I DO IT.
Comment 3 meta 2013-04-13 20:08:00 UTC
If you agree to pass maintainership, give it to meta+ports@vmeta.jp not my
gmail address.
Comment 4 steve 2013-04-14 02:04:01 UTC
Please send a patch for the changes you would like. A build log to show it
builds with Ruby 1.9 would be nice too.

Steve


> EXPIRATION date is almost comming!
>
> PLEASE UNMARK IT AS BROKEN!!
> THIS PORT IS NOT ACTUALLY BROKEN WITH ruby19.
> I CONFIRMED IT WORKS WITH ruby19.
>
> Dear maintainer, you are lazy for this port.
> Give me maintainership.  I DO IT.
>
Comment 5 meta 2013-04-14 06:31:38 UTC
Remove DEPRECATED, EXPIRATION_DATE, BROKEN
as it properly works with ruby 1.9
Comment 6 dhn freebsd_committer 2013-04-14 10:07:24 UTC
Responsible Changed
From-To: dhn->swills

I'am very busy atm, please take this for me. thx :)
Comment 7 steve 2013-04-15 03:39:33 UTC
> Remove DEPRECATED, EXPIRATION_DATE, BROKEN
> as it properly works with ruby 1.9
>

I'll take care of it as soon as the freeze is over.

Steve
Comment 8 meta 2013-04-15 04:18:03 UTC
I forgot attach a patch in last follow-up e-mail.
This patch just removes them.

Thanks for your work!

On Sun, Apr 14, 2013 at 10:39:33PM -0400, Steve Wills wrote:
> > Remove DEPRECATED, EXPIRATION_DATE, BROKEN
> > as it properly works with ruby 1.9
> >
> 
> I'll take care of it as soon as the freeze is over.
> 
> Steve

-- 
`whois vmeta.jp | nkf -w`
meta <meta@vmeta.jp>
Comment 9 dfilter freebsd_committer 2013-04-25 03:37:24 UTC
Author: swills
Date: Thu Apr 25 02:37:11 2013
New Revision: 316495
URL: http://svnweb.freebsd.org/changeset/ports/316495

Log:
  - Unmark broken, works fine with Ruby 1.9
  
  PR:		ports/176902
  Submitted by:	Koichiro IWAO <meta+ports@vmeta.jp>
  Approved by:	maintainer timeout (dhn, >5 weeks)

Modified:
  head/net-im/rubygem-termtter/Makefile

Modified: head/net-im/rubygem-termtter/Makefile
==============================================================================
--- head/net-im/rubygem-termtter/Makefile	Thu Apr 25 02:35:08 2013	(r316494)
+++ head/net-im/rubygem-termtter/Makefile	Thu Apr 25 02:37:11 2013	(r316495)
@@ -9,9 +9,6 @@ MASTER_SITES=	RG
 MAINTAINER=	dhn@FreeBSD.org
 COMMENT=	Terminal based Twitter client
 
-DEPRECATED=	Does not work with Ruby 1.9
-EXPIRATION_DATE=	2013-05-02
-
 RUN_DEPENDS=	rubygem-json>=1.1.3:${PORTSDIR}/devel/rubygem-json \
 		rubygem-termcolor>=1.0.0:${PORTSDIR}/textproc/rubygem-termcolor \
 		rubygem-rubytter>=1.4.0:${PORTSDIR}/net/rubygem-rubytter \
@@ -24,8 +21,4 @@ USE_RAKE=	yes
 RUBYGEM_AUTOPLIST=	yes
 PLIST_FILES=	bin/termtter
 
-.include <bsd.port.pre.mk>
-.if ${RUBY_VER} == 1.9
-BROKEN=	does not work with ruby 1.9
-.endif
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 10 Steve Wills freebsd_committer 2013-04-25 03:38:09 UTC
State Changed
From-To: open->closed

Committed. Thanks!